﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.IO;
using System.Windows.Forms;

namespace CreateResults
{
    public partial class Form2 : Form
    {
        public int isbrows = 0;

        public Form2()
        {
            InitializeComponent();
        }
        public string address = "";

        private void button1_Click(object sender, EventArgs e)
        {
            if (isbrows == 0)
            {
                address = textBox1.Text;
                DialogResult = DialogResult.OK;
                this.Close();
            }
            else 
            {
                if (button1.Text == "Обзор")
                {
                    FolderBrowserDialog demosbrowz = new FolderBrowserDialog();
                    demosbrowz.RootFolder = Environment.SpecialFolder.Desktop;
                    if (demosbrowz.ShowDialog() == System.Windows.Forms.DialogResult.OK && demosbrowz.SelectedPath.Length > 0)
                    {
                        textBox1.Text = demosbrowz.SelectedPath;
                    }
                }
                else 
                {
                    if (textBox1.Text.Substring(textBox1.Text.Length - 1) != "\\")
                        address = textBox1.Text + "\\";
                    else address = textBox1.Text;
                    DialogResult = DialogResult.OK;
                    this.Close();
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            textBox1.SelectionStart = textBox1.Text.Length;
        }

        private void textBox1_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter) 
            {
                button1_Click(sender, e);
                DialogResult = DialogResult.OK;
            }
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            if (isbrows > 0)
            {
                try
                {
                    DirectoryInfo dir = new DirectoryInfo(textBox1.Text);
                    if (dir.Exists) button1.Text = "OK";
                    else button1.Text = "Обзор";
                }
                catch (Exception ex){button1.Text = "Обзор";}
            }
        }
    }
}
